Subject: Re: What's in git.git and announcing GIT v1.5.0-rc1

From: Andy Parkins <[email-masked]>
Date: Fri, 12 Jan 2007 15:01:07 +0000

On Friday 2007, January 12 02:43, Junio C Hamano wrote:

>  - I'll change my $PATH to use the 'master' version, not 'next',
>    for my own use until v1.5.0 final.  I ask people who usually
>    follow 'next' to do the same so that we can catch breakages
>    on 'master'.

Minor thing: git-rebase, git-cherry-pick and git-pull (and presumably 
git-merge) all need to be the repository root to work.  If that is 
intentional, a better message than "fatal: Not a git repository: '.git'" 
would be appropriate.

For me, I'd prefer that they worked in subdirectories.  I do all almost all 
development in "src/" and having to change up a directory just to run git 
commands is inconvenient.

Andy

-- 
Dr Andrew Parkins, M Eng (Hons), AMIEE
[email-masked]